<template>
  <div class="otherBusiness-wrap">
    <div class="otherB-menu-left">
      <el-menu :default-active="$route.path" router mode="vertical">
        <el-menu-item index="/otherB-PeopleJunShouRu">
          <div class="menu-left-block">
            <h1>居民人均</h1>
          </div>
        </el-menu-item>
        <el-menu-item index="/otherB-GongGuTuoPin">
          <div class="menu-left-block">
            <h1>巩固脱贫成果</h1>
          </div>
        </el-menu-item>
      </el-menu>
    </div>
    <div class="otherb-menu-right">
      <router-view></router-view>
    </div>
  </div>
</template>

<script>
export default {
  name: "jiuyeAndChuangye"
}
</script>

<style lang="scss">
.otherB-menu-left {
  .el-menu {
    background-color: transparent;
    border-right: none;
  }

  .el-menu-item, .el-submenu__title {
    height: 0.3125rem /* 80/256 */
  ;
    margin: 0.1171875rem /* 30/256 */
    0;
  }

  .el-menu-item {
    background: url("../../../assets/images/jiuye-menu-normal.png") no-repeat center;
    background-size: 100% 100%;
    width: 0.75rem /* 192/256 */
  ;
    height: 0.3125rem /* 80/256 */
  ;
    display: flex;
    justify-content: center;
    padding: 0px!important;
  }

  .el-menu-item.is-active {
    background: url("../../../assets/images/jiuye-menu-active.png") no-repeat center;
    background-size: 100% 100%;
    width: 0.75rem /* 192/256 */
  ;
    height: 0.3125rem /* 80/256 */
  ;
  }
}

</style>
<style lang="scss" scoped>
@import "../../../assets/css/base";
@import "../../../assets/css/mixin";

.otherBusiness-wrap {
  width: 100%;
  padding: 0.078125rem /* 20/256 */
;
  box-sizing: border-box;
  display: flex;

  .otherB-menu-left {
    width: 0.9375rem /* 240/256 */
  ;
    height: 5.2734375rem /* 1350/256 */
  ;
    background: url("../../../assets/images/jiuye-menu-bj.png") no-repeat center;
    background-size: 100% 100%;
    padding: 0.15625rem /* 40/256 */
    0;
    box-sizing: border-box;
    display: flex;
    justify-content: center;

    .menu-left-block {
      width: 100%;
      display: flex;
      justify-content: center;

      h1 {
        font-size: $fontSize-24;
        color: $color-blue;
        text-align: center;
        line-height: 0.3125rem /* 80/256 */
      ;
      }
    }
  }
  .otherb-menu-right {
    flex: 1;
    padding: 0 0.078125rem /* 20/256 */
  ;
    box-sizing: border-box;
    height: 5.27344rem;
    @include overflow-y()
  }
}

</style>
